### Function

# GLibUnix fd_add

#### Declaration

    guint
    g_unix_fd_add (
      gint fd,
      GIOCondition condition,
      GUnixFDSourceFunc function,
      gpointer user_data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`fd`

  Type: `gint`

  No description available.

`condition`

  Type: `GIOCondition`

  No description available.

`function`

  Type: `GUnixFDSourceFunc`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

No description available.